Tutorial para instalar la versión de mantenimiento del kernel Linux 4.14.12

kernel Hoy mismo se publico la doceava versión de mantenimiento del kernel 4.14, siendo esta la 4.14.12, la cual explicaremos como instalar en su versión normal y la de baja latencia.

Información útil:

Novedades: En esta versión de mantenimiento podemos encontrarnos con una actualización de mantenimiento donde predominan las correcciones y actualizaciones de drivers.

Para más información visita el anuncio oficial: Anuncio kernel 4.14.12.

Esta instalación es valida para Ubuntu, Mint y Debian para sistemas de 32 Bits, serían a través de una terminal con las siguientes ordenes, primero descargamos los paquetes:

Versión normal (32bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412_4.14.12-041412.201801051649_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412-generic_4.14.12-041412.201801051649_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-image-4.14.12-041412-generic_4.14.12-041412.201801051649_i386.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412_4.14.12-041412.201801051649_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412-lowlatency_4.14.12-041412.201801051649_i386.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-image-4.14.12-041412-lowlatency_4.14.12-041412.201801051649_i386.deb

Y finalmente, los instalamos con:

$ sudo dpkg -i linux-headers-4.14.12*.deb linux-image-4.14.12*.deb

Para su instalación en sistemas de 64 Bits, descargamos con:

Versión normal (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412_4.14.12-041412.201801051649_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-image-4.14.12-041412-generic_4.14.12-041412.201801051649_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-image-4.14.12-041412-generic_4.14.12-041412.201801051649_amd64.deb

Versión de baja latencia para el kernel (lowlatency) (64bits):

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412_4.14.12-041412.201801051649_all.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-headers-4.14.12-041412-lowlatency_4.14.12-041412.201801051649_amd64.deb

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v4.14.12/linux-image-4.14.12-041412-lowlatency_4.14.12-041412.201801051649_amd64.deb

E instalamos también con:

$ sudo dpkg -i linux-headers-4.14.12*.deb linux-image-4.14.12*.deb

Reiniciamos el sistema, y seleccionamos la versión con la que queramos iniciar en el GRUB o BURG.

Fuente: Kernel – Ubuntu.

Acerca de Noel

Buenas, me llamo Noel, soy un divulgador y amante del software libre y Gnu Linux. Usuario inquieto por ver las novedades y dar a conocer a todos las grandes ventajas del software libre y Gnu Linux.

2
Deja una respuesta

avatar
1 Hilos de comentario
1 Respuestas de hilo
1 Seguidores
 
Comentario más reaccionado
El hilo de comentarios más caliente
2 Autores de comentarios
Noelfernandofvh Autores de comentarios recientes
  Suscribirse  
Los más recientes Los más antiguos Más votados
Notificarme las
fernandofvh
Miembro
fernandofvh

Hola a todos y todas. Bueno mi intención no es hacer spam ni repetirme innecesariamente. Este mismo problema lo comenté hace unos días en esta misma Web pero en la página en la que se daba los pasos para la instalación del Kernel 4.10. Al no recibir ninguna respuesta, mi ilusión es que nadie la ha visto por no estar donde debe estar. Así que aquí dejo el texto que ya puse en ese tutorial para ver si alguien puede echarme una manilla con ésto. Ahí va.

Resulta que he seguido paso a paso el tutorial como ya seguí anteriormente el de 4.7 y 4.9.(Uso Debian 9.3) Pero siempre me ocurre lo mismo. La terminal me devuelve el mismo error cambiando claro está la versión del kernel. He buscado desde hace meses soluciones, que las hay, pero que no me sacan del problema. El mensaje final que me da la terminal es el siguiente: dpkg: error al procesar el paquete linux-image-4.10.9-041009-generic (–install):
el subproceso instalado el script post-installation devolvió el código de salida de error 2
Se encontraron errores al procesar:
linux-image-4.10.9-041009-generic.
Necesito vuestra ayuda si es posible porque esto hace que cada vez que intento un apt-get update, upgrade o dist-upgrade me repita el mismo error. En fin, no sé si me habré explicado bien. Muchas gracias por vuestro tiempo y larga vida a Linux.
Postdata: Como es lógico si aquí no recibo ninguna respuesta entenderé que nadie puede ayudarme con mi problema y no lo volveré a plantear más. Espero no molestar a nadie. Un saludo.

Noel123
Miembro

Te acabo de responder en el otro comentario, que no tuve tiempo antes: Borra ese kernel, pues seguramente ni lo estas usando, mira en el segundo párrafo de este artículo que tienes un enlace donde se explica como ver los kernels y como borrarlos.

Suscríbete gratis

Suscríbete gratis

Recibe las últimas noticias y novedades de LiGNUx en tu email.
Sin publicidad, sin Spam.

Gracias por suscribirte a LiGNUx.